Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.apache.xerces.impl.xs
Class XSDeclarationPool

    java.lang.Object
      weblogic.apache.xerces.impl.xs.XSDeclarationPool

Deprecated. please use JDK supplied XML parsers and transformers

public final class XSDeclarationPool
extends Object

This class is pool that enables caching of XML Schema declaration objects. Before a compiled grammar object is garbage collected, the implementation will add all XML Schema component declarations to the pool. Note: The cashing mechanism is not implemented yet.

Constructor Summary
`XSDeclarationPool()` Deprecated.

Method Summary
`XSAttributeDecl` | `getAttributeDecl()` Deprecated.
`XSAttributeUseImpl` | `getAttributeUse()` Deprecated.
`XSComplexTypeDecl` | `getComplexTypeDecl()` Deprecated.
`XSElementDecl` | `getElementDecl()` Deprecated.
`XSModelGroupImpl` | `getModelGroup()` Deprecated.
`XSParticleDecl` | `getParticleDecl()` Deprecated.
`weblogic.apache.xerces.impl.dv.xs.XSSimpleTypeDecl` | `getSimpleTypeDecl()` Deprecated.
`void` | `reset()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XSDeclarationPool

    public XSDeclarationPool()

  Deprecated.

Method Detail

### getAttributeDecl

    public final XSAttributeDecl getAttributeDecl()

  Deprecated.

### getAttributeUse

    public final XSAttributeUseImpl getAttributeUse()

  Deprecated.

### getComplexTypeDecl

    public final XSComplexTypeDecl getComplexTypeDecl()

  Deprecated.

### getElementDecl

    public final XSElementDecl getElementDecl()

  Deprecated.

### getModelGroup

    public final XSModelGroupImpl getModelGroup()

  Deprecated.

### getParticleDecl

    public final XSParticleDecl getParticleDecl()

  Deprecated.

### getSimpleTypeDecl

    public final weblogic.apache.xerces.impl.dv.xs.XSSimpleTypeDecl getSimpleTypeDecl()

  Deprecated.

### reset

    public void reset()

  Deprecated.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD